org.eclnt.jsfserver.defaultscreens

## Class IdTextSelection.IdTextLineGrid

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDBinding<ItemClass>
  - - org.eclnt.jsfserver.elements.impl.FIXGRIDListBinding<IdTextSelection.IdTextLine>
    - - org.eclnt.jsfserver.defaultscreens.IdTextSelection.IdTextLineGrid

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDBinding<IdTextSelection.IdTextLine>, IListWithChangeIndexListener, IDynamicContentBindingObject
  Enclosing class:
    IdTextSelection

      public class IdTextSelection.IdTextLineGrid
      extends FIXGRIDListBinding<IdTextSelection.IdTextLine>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `FIXGRIDBinding.Exporter, FIXGRIDBinding.FormattedValue, FIXGRIDBinding.ScrollHelper, FIXGRIDBinding.SortHelper, FIXGRIDBinding.TextSearcher`

    - ### Nested classes/interfaces inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `IFIXGRIDBinding.FIXGRIDSortInfo`

  - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `m_columnsequence, m_currentlyFocussedItem, m_defaultColumnsequence, m_firstItemForShiftSelection, m_initialized, m_modcolumnwidths, m_numberoffooterrows, m_numberofheaderrows, m_objectBinding, m_previouslyFocussedItem, m_sbvalue, m_sbvisibleamount, m_selectedItems, m_sortInfo, m_this`

    - ### Fields inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `SORT_ASCENDING, SORT_DESCENDING, SORT_UNSORTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdTextLineGrid()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize()` This method is called one time - after the grid is first time contacted by the server side FIXGRID component.
    `void` | `onGridAction(ActionEvent event)` This is the central method for processing all events for a grid that are coming from the user interface client.

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDListBinding

      `createItems, deselectItem, ensureItemToBeDisplayed, ensureItemToBeDisplayed, fillShiftSelection, getItems, getListOfItems, getRows, getSbmaximum, getSelectedItemsAsSequence, listChanged, listItemWasAdded, listItemWasRemoved, processSearch, selectItem, setItems, setSbvalue, setSbvalue, sortGrid`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `applyPersistentData, checkIfCellsAreHighlighted, checkIfChangeIndexIsSupported, clearSortInfo, connectWithBinding, createDefaultStringComparator, createExporter, createScrollHelper, createTextSearcher, deselectCurrentSelection, deselectItem, deselectItem, deselectItemWCB, executeOnInitializedGrid, findSortComparatorForColumnValue, getAltPressedOfLastSelection, getClientvisibleamount, getColumnIndexOfLastSelection, getColumnInfos, getColumnsequence, getColumnTexts, getConnectedBinding, getCtrlPressedOfLastSelection, getCurrentColumWdithSequenceInfo, getCurrentHorizontalScrollPosition, getDefaultColumnsequence, getExportableColumns, getExportableColumns, getExporter, getFixgridComponent, getIndextobevisibleOfItems, getListOfExportItems, getModcolumnwidths, getModcolumnwidthsAsArray, getMouseButtonOfLastSelection, getNewClientHorizontalScrollPosition, getObjecttobevisibleOfItems, getOriginalcolumnwidths, getOriginalcolumnwidthsAsArray, getRowDataUI, getSbvalue, getSbvisibleamount, getScrollHelper, getSelectedItem, getSelectedItems, getShiftPressedOfLastSelection, getSortInfo, getSortInfoForReference, getTextSearcher, getToBeAccessedNode, getToBeAccessedNodeExpression, getToBeAccessedNodeFormatmaskValue, getToBeAccessedNodeFormattedValue, getToBeAccessedNodeFormatValue, getToBeAccessedNodeStringValue, getToBeAccessedNodeTimezoneValue, getToBeAccessedNodeValue, getVisibleColumns, getVisibleColumns, init_CONTENTTYPE_EXPORT_CSV, init_CONTENTTYPE_EXPORT_PDF, init_CONTENTTYPE_EXPORT_XLSX, init_CONTENTTYPE_EXPORT_XML, initPopupEditColumnDetailsUndecorated, initPopupGridFunctionsUndecorated, initTextSearcherShowSearchInfoPopup, isCurrentlyProcessingGridAction, isInitialized, isItemSelected, moveUpDown, onClearCellHighlight, onColumnSequenceUpdated, onColumnWidthsUpdated, onDrop, onEditColumnDetails, onFirstLineUp, onGridActionExecute, onLastLineDown, onOpenGridExportFunctions, onOpenGridFunctions, onPopupMenuItem, onPopupMenuLoad, onSelectionUpdateByClientActivity, onSelectorTitleIconInvoked, openEditColumnDetailsPopup, openGridExportFunctionsPopup, openGridFunctionsPopup, passComponentData, processMultipleSort, processMultipleSort, processSort, renderingBegins, resort, scrollHorizontallyToLastClientPosition, scrollHorizontallyToPosition, selectAndFocusItem, selectItem, selectItem, setClientvisibleamount, setColumnIndexOfLastSelection, setColumnIndexOfLastSelection, setColumnsequence, setCurrentHorizontalScrollPosition, setCurrentlyProcessingGridAction, setDefaultColumnsequence, setIndextobevisibleOfItems, setModcolumnwidth, setModcolumnwidths, setModcolumnwidthsArray, setModcolumnwidthsList, setObjecttobevisibleOfItems, setSbvalue, setSbvisibleamount, setToBeAccessedNode, sort, storePersistentData, storePersistentDataImplicitly, unhighlightAllCells, updateHighlight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `checkIfChangeIndexIsSupported, getClientvisibleamount, getColumnsequence, getConnectedBinding, getExportableColumns, getExportableColumns, getIndextobevisibleOfItems, getModcolumnwidths, getNewClientHorizontalScrollPosition, getObjecttobevisibleOfItems, getSbvalue, getSbvisibleamount, getSortInfo, getSortInfoForReference, getVisibleColumns, getVisibleColumns, passComponentData, renderingBegins, setClientvisibleamount, setColumnIndexOfLastSelection, setColumnIndexOfLastSelection, setColumnsequence, setCurrentHorizontalScrollPosition, setIndextobevisibleOfItems, setModcolumnwidths, setObjecttobevisibleOfItems, setSbvisibleamount`

- - ### Constructor Detail

    - #### IdTextLineGrid

          public IdTextLineGrid()

  - ### Method Detail

    - #### onGridAction

          public void onGridAction(ActionEvent event)

      Description copied from class: `FIXGRIDBinding`
      This is the central method for processing all events for a grid that are coming from the user interface client. It handles all events that are directly related to grid processing. You may override this method (and call super.onGridAction()!) in your subclass.
      This method in its FIXGRIDBinding implementation puts a try/catch around all errors happening inside. In the try/catch the method `FIXGRIDBinding.onGridActionExecute(ActionEvent)` is called. In cases you do not want to catch all errors, you may override onGridAction and directly call `FIXGRIDBinding.onGridActionExecute(ActionEvent)`. As result, all errors in this scenario are passed to the normal (optional) error management that is calling the onApplicationError(...) method.
      Overrides:
        `onGridAction` in class `FIXGRIDBinding<IdTextSelection.IdTextLine>`

    - #### initialize

          public void initialize()

      Description copied from class: `FIXGRIDBinding`
      This method is called one time - after the grid is first time contacted by the server side FIXGRID component. This happens in the rendering phase, when the grid is first time touches by the component processing. Grid properties (like the objectbinding) are avaiable at this point of time earliest - before the grid is just an object without reference to a component processin.
      Overrides:
        `initialize` in class `FIXGRIDBinding<IdTextSelection.IdTextLine>`

Copyright © CaptainCasa Gmbh. All Rights Reserved.